---
references:
- id: BaudartCompiling2021
  accessed:
    - year: 2021
      month: 11
      day: 20
  author:
    - family: Baudart
      given: Guillaume
    - family: Burroni
      given: Javier
    - family: Hirzel
      given: Martin
    - family: Mandel
      given: Louis
    - family: Shinnar
      given: Avraham
  citation-key: BaudartCompiling2021
  container-title: arXiv:1810.00873 [cs, stat]
  issued:
    - year: 2021
      month: 4
      day: 11
  language: en
  title: >-
    Compiling Stan to Generative Probabilistic Languages and Extension to Deep
    Probabilistic Programming
  type: article-journal
  URL: http://arxiv.org/abs/1810.00873

- id: MooreEffect2018
  author:
    - family: Moore
      given: Dave
    - family: Gorinova
      given: Maria I.
  citation-key: MooreEffect2018
  container-title: arXiv:1811.06150 [cs, stat]
  issued:
    - year: 2018
      month: 11
      day: 14
  title: Effect Handling for Composable Program Transformations in Edward2
  type: article-journal
  URL: http://arxiv.org/abs/1811.06150

- id: ObermeyerFunctional2020
  accessed:
    - year: 2021
      month: 3
      day: 10
  author:
    - family: Obermeyer
      given: Fritz
    - family: Bingham
      given: Eli
    - family: Jankowiak
      given: Martin
    - family: Phan
      given: Du
    - family: Chen
      given: Jonathan P.
  citation-key: ObermeyerFunctional2020
  container-title: arXiv:1910.10775 [cs, stat]
  issued:
    - year: 2020
      month: 3
      day: 10
  title: Functional Tensors for Probabilistic Programming
  type: article-journal
  URL: http://arxiv.org/abs/1910.10775

- id: PradhanPyro2018
  author:
    - family: Pradhan
      given: Neeraj
    - family: Chen
      given: Jonathan P.
    - family: Jankowiak
      given: Martin
    - family: Obermeyer
      given: Fritz
    - family: Bingham
      given: Eli
    - family: Karaletsos
      given: Theofanis
    - family: Singh
      given: Rohit
    - family: Szerlip
      given: Paul
    - family: Horsfall
      given: Paul
    - family: Goodman
      given: Noah D.
  citation-key: PradhanPyro2018
  container-title: arXiv:1810.09538 [cs, stat]
  issued:
    - year: 2018
      month: 10
      day: 18
  title: 'Pyro: Deep Universal Probabilistic Programming'
  type: article-journal
  URL: http://arxiv.org/abs/1810.09538

- id: RitterTyXe2022
  accessed:
    - year: 2023
      month: 2
      day: 9
  author:
    - family: Ritter
      given: Hippolyt
    - family: Karaletsos
      given: Theofanis
  citation-key: RitterTyXe2022
  container-title: Proceedings of Machine Learning and Systems
  issued:
    - year: 2022
      month: 4
      day: 22
  language: en
  page: 398-413
  title: 'TyXe: Pyro-based Bayesian neural nets for Pytorch'
  type: article-journal
  URL: >-
    https://proceedings.mlsys.org/paper/2022/hash/8d5e957f297893487bd98fa830fa6413-Abstract.html
  volume: '4'
...
